# Class BaseXmlComponent`Abstract`

#### Hierarchy

- BaseXmlComponent
  - XmlComponent
  - XmlAttributeComponent
  - NextAttributeComponent

- Defined in src/file/xml-components/base.ts:12

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new BaseXmlComponent(rootKey: string): BaseXmlComponent

- #### Parameters

  - ##### rootKey: string

  #### Returns BaseXmlComponent

  - Defined in src/file/xml-components/base.ts:15

## Methods

### `Abstract` prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  - Defined in src/file/xml-components/base.ts:19

Generated using TypeDoc